package me.jj97181818.ch08_multiactivity;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {
    TextView tvPath;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        tvPath = findViewById(R.id.tv_path1);
    }

    private void run(Intent intent) {
        tvPath.setText(intent.getCharSequenceExtra("path"));
        if (tvPath.getText().equals("")) {
            tvPath.setText("1");
        }
        else {
            tvPath.setText(tvPath.getText() + " -> 1");
        }
    }

    public void goBack (View v) {
        finish();
    }

    public void gotoSecondActivity(View v) {
        Intent it = new Intent(this, SecondActivity.class);
        it.putExtra("path", tvPath.getText());
        startActivityForResult(it, 1);
    }

}
