package me.jj97181818.ch08_multiactivity;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

public class SecondActivity extends AppCompatActivity {
    TextView tvPath;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_second);

        tvPath = findViewById(R.id.tv_path2);
    }

    private void run(Intent intent) {
        tvPath.setText(intent.getCharSequenceExtra("path"));
        tvPath.setText(tvPath.getText() + " -> 2");
    }

    public void goBack (View v) {
        finish();
    }

    public void gotoThirdActivity(View v) {
        Intent it = new Intent(this, ThirdActivity.class);
        it.putExtra("path", tvPath.getText());
        startActivityForResult(it, 2);
    }
}
